<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Document</title>
</head>
<body>

  <ul id="list"></ul>

  <button id="add-item">add item</button>
  <button id="add-group">add group (fragment)</button>

  <template id="li-template">
    <li>item</li>
  </template>

  <script src="main.js"></script>
</body>
</html>